#coding:utf-8
#@author: Excinsky
from m3.db import BaseEnumerate

class ReportType(BaseEnumerate):
    """
    Тип хранимого отчета
    """
    DOCUMENT = 1
    TABLE = 2

    values = {
        DOCUMENT: u"Документ",
        TABLE: u"Электронная таблица"
    }

    @classmethod
    def get_type_enum(cls, type):
        """
        Возвращает перечисление возможных форматов в зависимости от типа

        @param type: Тип хранимого отчета
        """
        if type == cls.DOCUMENT:
            return DocumentResultFileTypes
        elif type == cls.TABLE:
            return TableDocumentResultFileTypes
        else:
            return None


class DocumentResultFileTypes(BaseEnumerate):
    """
    Перечисление форматов текстовых документов
    """
    PDF = 1
    DOC = 2
    DOCX = 3
    RTF = 4
    ODT = 5
    HTML = 6

    values = {
        PDF: u'Документ PDF (*.pdf)',
        DOC: u'Office 97-2003 (*.doc)',
        DOCX: u'Office 2007-2010 (*.docx)',
        RTF: u'Документ RTF (*.rtf)',
        ODT: u'OpenOffice (*.odt)',
        HTML: u'HTML-страница (*.html)'}

    @classmethod
    def default(cls):
        return cls.DOCX

class TableDocumentResultFileTypes(BaseEnumerate):
    """
    Перечисление форматов электронных таблиц
    """

    PDF = 1
    XLS = 2
    XLSX = 3
    ODS = 4
    HTML = 5

    values = {
        PDF: u'Документ PDF (*.pdf)',
        XLS: u'Office 97-2003 (*.xls)',
        XLSX: u'Office 2007-2010 (*.xlsx)',
        ODS: u'OpenOffice (*.ods)',
        HTML: u'HTML-страница (*.html)'
    }

    @classmethod
    def default(cls):
        return cls.XLSX