# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Deleting model 'Report'
        db.delete_table('m3_report_builder')

        # Deleting model 'ReportParams'
        db.delete_table('m3_report_builder_params')

        # Deleting model 'Query'
        db.delete_table('m3_query_builder')

        # Adding model 'FormField'
        db.create_table('m3_report_generator_form_field', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['m3_query_builder.ReportReference'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
            ('verbose_name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
            ('allow_blank', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('multi_choice', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('type', self.gf('django.db.models.fields.SmallIntegerField')()),
            ('type_value', self.gf('django.db.models.fields.CharField')(max_length=300)),
        ))
        db.send_create_signal('m3_query_builder', ['FormField'])

        # Adding model 'Parameter'
        db.create_table('m3_report_generator_form_field_param', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('field', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['m3_query_builder.FormField'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal('m3_query_builder', ['Parameter'])

        # Adding model 'ReportReference'
        db.create_table('m3_report_generator', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('report_id', self.gf('django.db.models.fields.CharField')(unique=True, max_length=24)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
        ))
        db.send_create_signal('m3_query_builder', ['ReportReference'])


    def backwards(self, orm):
        
        # Adding model 'Report'
        db.create_table('m3_report_builder', (
            ('query', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['m3_query_builder.Query'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
        ))
        db.send_create_signal('m3_query_builder', ['Report'])

        # Adding model 'ReportParams'
        db.create_table('m3_report_builder_params', (
            ('value', self.gf('django.db.models.fields.CharField')(max_length=300)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
            ('report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['m3_query_builder.Report'])),
            ('verbose_name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
            ('type', self.gf('django.db.models.fields.SmallIntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('condition', self.gf('django.db.models.fields.CharField')(max_length=30)),
        ))
        db.send_create_signal('m3_query_builder', ['ReportParams'])

        # Adding model 'Query'
        db.create_table('m3_query_builder', (
            ('use_dict_result', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('query_json', self.gf('django.db.models.fields.TextField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
        ))
        db.send_create_signal('m3_query_builder', ['Query'])

        # Deleting model 'FormField'
        db.delete_table('m3_report_generator_form_field')

        # Deleting model 'Parameter'
        db.delete_table('m3_report_generator_form_field_param')

        # Deleting model 'ReportReference'
        db.delete_table('m3_report_generator')


    models = {
        'm3_query_builder.formfield': {
            'Meta': {'object_name': 'FormField', 'db_table': "'m3_report_generator_form_field'"},
            'allow_blank': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'multi_choice': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['m3_query_builder.ReportReference']"}),
            'type': ('django.db.models.fields.SmallIntegerField', [], {}),
            'type_value': ('django.db.models.fields.CharField', [], {'max_length': '300'}),
            'verbose_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'm3_query_builder.parameter': {
            'Meta': {'object_name': 'Parameter', 'db_table': "'m3_report_generator_form_field_param'"},
            'field': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['m3_query_builder.FormField']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'm3_query_builder.reportreference': {
            'Meta': {'object_name': 'ReportReference', 'db_table': "'m3_report_generator'"},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'report_id': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '24'})
        }
    }

    complete_apps = ['m3_query_builder']
