#coding: utf-8
'''
Created on 17.06.2011

@author: prefer
'''

from django.db import models

from entity import Param  


class ReportReference(models.Model):
    """
    Модель для отчетов
    """
    
    # Идентификатор отчета в ГО, длина id в монге равна 24 символа
    report_id = models.CharField(max_length=24, db_index=True, unique=True)
    
    # Название отчета
    name = models.CharField(max_length=100, db_index=True)

    #Тип документа (значение перечисления ReportType)
    document_type = models.IntegerField(null=True)
   
    class Meta():
        db_table = 'm3_report_generator'


class FormField(models.Model):
    """
    Модель для поля формы
    """
    # Ссылка на отчет
    report = models.ForeignKey(ReportReference)        
    
    # Название поля формы
    verbose_name = models.CharField(max_length=100, db_index=True)
    
    # При заполнении может не выбираться
    required = models.BooleanField(default=True)

    # При заполнении возможен ли множественный выбор
    multi_choice = models.BooleanField()    
    
    # Тип поля
    type = models.SmallIntegerField(choices=Param.VALUES.items())
    
    # Значение типа поля
    type_value = models.CharField(max_length=300)

    # Значение по-умолчанию для полей типа число и строка
    default_value = models.CharField(max_length=50, null=True, blank=True)

    class Meta():
        db_table = 'm3_report_generator_form_field'
        
        
class Parameter(models.Model):
    """
    Модель привязки параметров к полю формы
    """
    
    # Ссылка на поле
    field = models.ForeignKey(FormField)
    
    # Название параметра
    name = models.CharField(max_length=100)
    
    class Meta():
        db_table = 'm3_report_generator_form_field_param'
